// ***************************************************
//                 M O D E L   -   P R I V Á T
// Michal Šimeček, CDV, v.v.i.
// ***************************************************

[Choice]
Choice

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)  
bosob		0	-10000	10000	0
bzariz		0	-10000	10000	0
bvzdal		0	-10000	10000	0
bnajem		0	-10000	10000	0 

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
1  a1   	one	bosob * posob_1 + bzariz * zariz_1 + bvzdal * vzdal_1 + bnajem * najem_1
2  a2   	one	bosob * posob_2 + bzariz * zariz_2 + bvzdal * vzdal_2 + bnajem * najem_2     
3  a3    	one	bosob * posob_3 + bzariz * zariz_3 + bvzdal * vzdal_3 + bnajem * najem_3              
4  a4     	one	bosob * posob_4 + bzariz * zariz_4 + bvzdal * vzdal_4 + bnajem * najem_4      

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1

[Model]
// Currently, the following models are available
// Uncomment exactly one of them
//$BP  // Binary Probit Model
//$OL // Ordinal logit
$MNL  // Multinomial Logit Model
//$NL  // Nested Logit Model
//$CNL  // Cross-Nested Logit Model
//$NGEV // Network GEV Model

[Exclude]
( ok == 0 )

[Draws]
1000

[PanelData]
// First, the attribute in the file containing the ID of the individual
// Then the list of random parameters which are constant for all 
// observations of the same individual
// The syntax for a random paramter with mean BETA and std err SIGMA is
// BETA_SIGMA
id
btt_s

//[Group]
//group

[Weight]
$NONE

//[Scale]
// The sample can be divided in several groups of individuals. The
//utility of an individual in a group will be multiplied by the scale factor
//associated with the group.

// Group_number  scale LowerBound UpperBound status
//11	1	0.001	1000	1
//12	0.5	0.001	1000	0
//21	1	0.001	1000	0
//22	1	0.001	1000	0
//31	1	0.001	1000	0
//32	1	0.001	1000	0

//[NLNests]
// Name paramvalue  LowerBound UpperBound  status list of alt
//individual	1	0	1000	1 	1 
//public	21.9	1	1000	0	2 3 4 5

[CNLNests]
// Name paramvalue LowerBound UpperBound  status 
$NONE

[CNLAlpha]
// Alt Nest value LowerBound UpperBound  status
$NONE

[Ratios] 
// List of ratios of estimated coefficients that must be produced in
// the output. The most typical is the value-of-time.
// Numerator   Denominator  Name
$NONE

[LinearConstraints]
$NONE

[NonLinearEqualityConstraints]
$NONE

[NonLinearInequalityConstraints]
// At this point, BIOGEME is not able to handle nonlinear inequality
// constraints yet. It should be available in a future version.
$NONE

[NetworkGEVNodes] 
// All nodes of the Network GEV model, except the root,
// must be listed here, with their associated parameter.
// If the nodes corresponding to alternatives are not listed,
// the associated parameter is constrained to 1.0 by default
// Name  mu_param_value	LowerBound	UpperBound	status
$NONE

[NetworkGEVLinks]
// There is a line for each link of the network. 
// The root node is denoted by __ROOT
// All other nodes must be either an alternative or a node listed in
// the section [NetworkGEVNodes]
// Note that an alternative cannot be the a-node of any link,
// and the root node cannot be the b-node of any link.
// a-node  b-node alpha_param_value LowerBound UpperBound  status
$NONE

[ZhengFosgerau]
// This section is used only by biosim for simulation, not by biogeme for estimation
// Syntax: expression  bandwith lb  ub name
// Expression must be a probability ($P) or an expression from the data ($E)
// Examples:
// $P { Alt1 } 1 0 1 "P1"
// $E { x31 } 1 -1000 1000 "x31"  
//
$NONE
