// ***************************************************
//                 M O D E L   -   P R I V Á T
// Michal Šimeček, CDV, v.v.i.
// ***************************************************

[Choice]
Choice

// -137.143  -136.796  -136.969  -137.787  -136.938  -136.871

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)  
bnajem		0		-10000	10000	0
bposob1		0		-10000	10000	1
bposob2		0		-10000	10000	0
bposob3		0		-10000	10000	0
bvzdal		-0.055		-10000	10000	0
bzariz1		-0.00118	-10000	10000	0 
bzariz2		0		-10000	10000	0
s		0		0	100	0
s1		0		0	100	0
s2		0		0	100	0

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
1  a1   one	bposob1 [ s1 ] * posob11 + bposob2 * posob21 + bposob3 [ s2 ] * posob31 + bzariz1 * zariz11 + bzariz2 * zariz21 + bvzdal * vzdal_1 + bnajem [ s ] * najem_1
2  a2   one	bposob1 [ s1 ] * posob12 + bposob2 * posob22 + bposob3 [ s2 ] * posob32 + bzariz1 * zariz12 + bzariz2 * zariz22 + bvzdal * vzdal_2 + bnajem [ s ] * najem_2
3  a3   one	bposob1 [ s1 ] * posob13 + bposob2 * posob23 + bposob3 [ s2 ] * posob33 + bzariz1 * zariz13 + bzariz2 * zariz23 + bvzdal * vzdal_3 + bnajem [ s ] * najem_3              
4  a4   one	bposob1 [ s1 ] * posob14 + bposob2 * posob24 + bposob3 [ s2 ] * posob34 + bzariz1 * zariz14 + bzariz2 * zariz24 + bvzdal * vzdal_4 + bnajem [ s ] * najem_4    

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1

posob11 = ( posob_1 == 1 ) 
posob12 = ( posob_2 == 1 ) 
posob13 = ( posob_3 == 1 ) 
posob14 = ( posob_4 == 1 ) 

posob21 = ( posob_1 == 2 ) 
posob22 = ( posob_2 == 2 ) 
posob23 = ( posob_3 == 2 ) 
posob24 = ( posob_4 == 2 ) 

posob31 = ( posob_1 == 3 ) 
posob32 = ( posob_2 == 3 ) 
posob33 = ( posob_3 == 3 ) 
posob34 = ( posob_4 == 3 ) 

zariz11 = ( zariz_1 == 1 ) 
zariz12 = ( zariz_2 == 1 ) 
zariz13 = ( zariz_3 == 1 ) 
zariz14 = ( zariz_4 == 1 ) 
 
zariz21 = ( zariz_1 == 2 ) 
zariz22 = ( zariz_2 == 2 ) 
zariz23 = ( zariz_3 == 2 ) 
zariz24 = ( zariz_4 == 2 ) 


[Model]
// Currently, the following models are available
// Uncomment exactly one of them
//$BP  // Binary Probit Model
//$OL // Ordinal logit
$MNL  // Multinomial Logit Model
//$NL  // Nested Logit Model
//$CNL  // Cross-Nested Logit Model
//$NGEV // Network GEV Model

[Exclude]
( ok == 0 ) // + ( gen == 1 )

[Draws]
72 //70

[PanelData]
// First, the attribute in the file containing the ID of the individual
// Then the list of random parameters which are constant for all 
// observations of the same individual
// The syntax for a random paramter with mean BETA and std err SIGMA is
// BETA_SIGMA
id
bnajem_s
bposob1_s1
bposob3_s2

//[Group]
//trial

[Weight]
$NONE

//[Scale]
// The sample can be divided in several groups of individuals. The
//utility of an individual in a group will be multiplied by the scale factor
//associated with the group.

// Group_number  scale LowerBound UpperBound status
//1	1	0.001	1000	1
//2	1	0.001	1000	0
//3	1	0.001	1000	0
//22	1	0.001	1000	0
//31	1	0.001	1000	0
//32	1	0.001	1000	0

//[NLNests]
// Name paramvalue  LowerBound UpperBound  status list of alt
//individual	1	0	1000	1 	1 
//public	21.9	1	1000	0	2 3 4 5

[CNLNests]
// Name paramvalue LowerBound UpperBound  status 
$NONE

[CNLAlpha]
// Alt Nest value LowerBound UpperBound  status
$NONE

[Ratios] 
// List of ratios of estimated coefficients that must be produced in
// the output. The most typical is the value-of-time.
// Numerator   Denominator  Name
$NONE

[LinearConstraints]
$NONE

[NonLinearEqualityConstraints]
$NONE

[NonLinearInequalityConstraints]
// At this point, BIOGEME is not able to handle nonlinear inequality
// constraints yet. It should be available in a future version.
$NONE

[NetworkGEVNodes] 
// All nodes of the Network GEV model, except the root,
// must be listed here, with their associated parameter.
// If the nodes corresponding to alternatives are not listed,
// the associated parameter is constrained to 1.0 by default
// Name  mu_param_value	LowerBound	UpperBound	status
$NONE

[NetworkGEVLinks]
// There is a line for each link of the network. 
// The root node is denoted by __ROOT
// All other nodes must be either an alternative or a node listed in
// the section [NetworkGEVNodes]
// Note that an alternative cannot be the a-node of any link,
// and the root node cannot be the b-node of any link.
// a-node  b-node alpha_param_value LowerBound UpperBound  status
$NONE

[ZhengFosgerau]
// This section is used only by biosim for simulation, not by biogeme for estimation
// Syntax: expression  bandwith lb  ub name
// Expression must be a probability ($P) or an expression from the data ($E)
// Examples:
// $P { Alt1 } 1 0 1 "P1"
// $E { x31 } 1 -1000 1000 "x31"  
//
$NONE
